*-------------------------------------------------------------------
*
*     SOMALI HIGH FREQUENCY 
*     SURVEY
*     
*     This file contains the sequence of do-files
*     written to carry out the poverty analysis
*     for the Somali Poverty Profile 2016
*                         
*-------------------------------------------------------------------

clear all
set more off
set maxvar 10000

*Check if filepaths have been established using init.do
if "${gsdData}"=="" {
	display as error "Please run init.do first."
	error 1
}


*Clean the consumption datasets
run "${gsdDo}/1-2-clean_fcons.do"
run "${gsdDo}/1-3-clean_nonfcons.do"
run "${gsdDo}/1-4-clean_assets.do"

*Report the cleaned consumption values
run "${gsdDo}/1-5-summary_clean_data.do"

*Clean household member dataset
run "${gsdDo}/1-6-clean_hhm_educ_labor.do"

*Clean remittances
run "${gsdDo}/1-7-clean_remittances.do"

*Consumption Aggregates Deflator and Imputation 
run "${gsdDo}/1-8-1-consaggr_deflator.do"
run "${gsdDo}/1-8-2-consaggr_imputation.do"
run "${gsdDo}/1-8-3-include_imputed_shares.do"
run "${gsdDo}/1-8-4-consaggr_test.do"

*Clean household level dataset, integrate aggregates from previous cleaning files
run "${gsdDo}/1-9-clean_hh.do" 

*Obtain data from the WB open data for the poverty assessment 
run "${gsdDo}/2-11-PovertyProfile_Cross-Country_indicators.do"

*Create figures for the different chapters of the Somali Poverty Profile 2016
run "${gsdDo}/2-11-PovertyProfile_Monetary_Poverty.do"
run "${gsdDo}/2-11-PovertyProfile_Multidimensional_Poverty.do"
run "${gsdDo}/2-11-PovertyProfile_NW_2013vs2016.do"
run "${gsdDo}/2-11-PovertyProfile_Remittances.do"
run "${gsdDo}/2-11-PovertyProfile_Child_Poverty.do"
run "${gsdDo}/2-11-PovertyProfile_Social_Protection.do"
run "${gsdDo}/2-11-PovertyProfile_Maps.do"
